-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local SSHAlgorithmsInterface = require 'mdb.bmc.kepler.Managers.Security.SSHAlgorithmsInterface'

local childs = {}
local HostKeyAlgorithms = {childs = childs}

local Mdb = require 'mc.mdb'

local THostKeyAlgorithms = Mdb.register_object(
    '/bmc/kepler/Managers/:ManagerId/Security/SSHAlgorithms/HostKeyAlgorithms',
    {{name = 'SSHAlgorithms', interface = SSHAlgorithmsInterface.SSHAlgorithms}})
HostKeyAlgorithms.HostKeyAlgorithms = THostKeyAlgorithms

function THostKeyAlgorithms:ctor(ManagerId)
    self.path = '/bmc/kepler/Managers/' .. ManagerId .. '/Security/SSHAlgorithms/HostKeyAlgorithms'
end

return HostKeyAlgorithms
